Qt 5.6 | Qt Core | C++ Classes | QJsonParseError

Qt 5.6.2 Reference Documentation

# QJsonParseError Class

The QJsonParseError class is used to report errors during JSON parsing. More...

Header: | #include <QJsonParseError>
qmake: | QT += core
Since: | Qt 5.0

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Types

enum | ParseError { NoError, UnterminatedObject, MissingNameSeparator, UnterminatedArray, ..., GarbageAtEnd }

## Public Functions

QString | errorString() const

## Public Variables

ParseError | error
int | offset

## Detailed Description

The QJsonParseError class is used to report errors during JSON parsing.

See also JSON Support in Qt and JSON Save Game Example.

## Member Type Documentation

### enum QJsonParseError::ParseError

This enum describes the type of error that occurred during the parsing of a JSON document.

Constant | Value | Description
--- | --- | ---
`QJsonParseError::NoError` | `0` | No error occurred
`QJsonParseError::UnterminatedObject` | `1` | An object is not correctly terminated with a closing curly bracket
`QJsonParseError::MissingNameSeparator` | `2` | A comma separating different items is missing
`QJsonParseError::UnterminatedArray` | `3` | The array is not correctly terminated with a closing square bracket
`QJsonParseError::MissingValueSeparator` | `4` | A colon separating keys from values inside objects is missing
`QJsonParseError::IllegalValue` | `5` | The value is illegal
`QJsonParseError::TerminationByNumber` | `6` | The input stream ended while parsing a number
`QJsonParseError::IllegalNumber` | `7` | The number is not well formed
`QJsonParseError::IllegalEscapeSequence` | `8` | An illegal escape sequence occurred in the input
`QJsonParseError::IllegalUTF8String` | `9` | An illegal UTF8 sequence occurred in the input
`QJsonParseError::UnterminatedString` | `10` | A string wasn't terminated with a quote
`QJsonParseError::MissingObject` | `11` | An object was expected but couldn't be found
`QJsonParseError::DeepNesting` | `12` | The JSON document is too deeply nested for the parser to parse it
`QJsonParseError::DocumentTooLarge` | `13` | The JSON document is too large for the parser to parse it
`QJsonParseError::GarbageAtEnd` | `14` | The parsed document contains additional garbage characters at the end

## Member Function Documentation

### QString QJsonParseError::errorString() const

Returns the human-readable message appropriate to the reported JSON parsing error.

See also error.

## Member Variable Documentation

### ParseError QJsonParseError::error

Contains the type of the parse error. Is equal to QJsonParseError::NoError if the document was parsed correctly.

See also ParseError and errorString().

### int QJsonParseError::offset

Contains the offset in the input string where the parse error occurred.

See also error and errorString().